<!DOCTYPE html>
<html>
<head>
	<title>Slider</title>
</head>
<style type="text/css">

	*{
		scroll-behavior: smooth;
	}

	body{
		margin: 0;
		padding: 0;
	}

	.slider{
		width: 90%;
		height: 600px;
		position: relative;
		background: red;		
		margin: 50px auto;
		overflow-y: hidden;
		overflow-x: hidden;
	}

	.image-container{
		width: 400%;
		position: relative;
		left: 0;
		margin: 0;
		transition: .5s ease-in-out;
	}

	.image-container img{
		width: 25%;
		height: 100%;
		float: left;
	}

</style>
<body>
	<div class="slider">
		<div class="image-container">
			<img src="blah.png" id="img1">
		

	
			<img src="slider1.jpg" id="img2">
		

	
			<img src="slider4.png" id="img3">
		

		
			<img src="slider4.png" id="img4">
		</div>
	</div>

	<div class="toggleBtns">
		<button id="prev">Previous</button>
		<button id="next">Next</button>
	</div>

<script type="text/javascript" src="js/jQuery.js"></script>
<script type="text/javascript">
	
	$(document).ready(function() {
		
		x=0;

		$("#next").click(function() {
			x = (x<=200)?(x+100):0;

			$(".image-container").css('left', -x+'%');

		});

		$("#prev").click(function() {
			x = (x>=100)?(x-100):300;

			$(".image-container").css('left', -x+'%');

		});

	});
</script>
</body>
</html>